# -*- coding: utf-8 -*-

import objectpack

import models


class BookPack(objectpack.ObjectPack):
    """
    Действия для работы с книгами
    """
    model = models.Book

    columns = [
        {
            'data_index': 'name',
            'header': u'Наименование',
            'sortable': True,
            'searchable': True
        },
        {
            'data_index': 'date_of_release',
            'header': u'Дата издания',
            'sortable': True,
            'searchable': True,
            'fixed': True,
            'width': 100
        }
    ]

    list_sort_order = ('name', 'date_of_release')

    add_to_menu = add_to_desktop = True

    add_window = edit_window = (
        objectpack.ModelEditWindow.fabricate(model=model)
    )
